Using Scalate with Play 1.2.3

47 views
Skip to first unread message

Matt Raible

unread,
Aug 24, 2011, 11:23:39 PM8/24/11
to play-framework
Hey all,

I'm trying to use Scalate with the latest version of Play and having
issues. I've posted some questions to the Scalate user group, but
haven't received any responses.

http://groups.google.com/group/scalate/browse_thread/thread/398cee0190a47a39

Is anyone using the latest versions of Play and Scalate successfully?

If not the latest versions, which versions are successfully working?

Thanks,

Matt

Pascal Voitot Dev

unread,
Aug 25, 2011, 4:24:04 AM8/25/11
to play-fr...@googlegroups.com

Don't know your answer but you can try default scala template, it works well even if not yet fully  documented!
Regards
Pascal

> --
> You received this message because you are subscribed to the Google Groups "play-framework" group.
> To post to this group, send email to play-fr...@googlegroups.com.
> To unsubscribe from this group, send email to play-framewor...@googlegroups.com.
> For more options, visit this group at http://groups.google.com/group/play-framework?hl=en.
>

Guillaume Bort

unread,
Aug 25, 2011, 4:30:15 AM8/25/11
to play-fr...@googlegroups.com
Hi Matt,

Looking at the Scalate module code, I don't think it can work as is
with Play Scala 0.9.1. The latest version is more than 1 year old, and
we have made a lot of changes in the API.

Which Scalate flavor do you try to use?

> --
> You received this message because you are subscribed to the Google Groups "play-framework" group.
> To post to this group, send email to play-fr...@googlegroups.com.
> To unsubscribe from this group, send email to play-framewor...@googlegroups.com.
> For more options, visit this group at http://groups.google.com/group/play-framework?hl=en.
>
>

--
Guillaume Bort, http://guillaume.bort.fr

Matt Raible

unread,
Aug 25, 2011, 10:02:51 AM8/25/11
to play-framework
I tried to use SSP initially, but was hoping to move to Scaml/Jade
after I got that working.

I tried to build everything locally, but received the following
errors.

$ ant
Buildfile: /Users/mraible/dev/play-scalate/build.xml

clean:
[delete] Deleting directory /Users/mraible/dev/play-scalate/tmp

build:
[mkdir] Created dir: /Users/mraible/dev/play-scalate/tmp/classes
[scalac] Compiling 10 source files to /Users/mraible/dev/play-
scalate/tmp/classes
[scalac] /Users/mraible/dev/play-scalate/src/play/mvc/
ScalateController.scala:5: error: not found: type ScalaController
[scalac] abstract class ScalateController extends ScalaController
with Provider {
[scalac] ^
[scalac] /Users/mraible/dev/play-scalate/src/play/mvc/
ScalateController.scala:12: error: type Template is not a member of
package play.mvc.results
[scalac] private lazy val not_reached: play.mvc.results.Template =
null
[scalac] ^
[scalac] /Users/mraible/dev/play-scalate/src/play/mvc/scalate/
PlayContext.scala:148: error: value LocalvariablesNamesEnhancer is not
a member of package play.classloading.enhancers
[scalac] import
play.classloading.enhancers.LocalvariablesNamesEnhancer.LocalVariablesNamesTracer
[scalac] ^
[scalac] /Users/mraible/dev/play-scalate/src/play/mvc/scalate/
Provider.scala:8: error: value LocalvariablesNamesEnhancer is not a
member of package play.classloading.enhancers
[scalac] import
play.classloading.enhancers.LocalvariablesNamesEnhancer.LocalVariablesNamesTracer
[scalac] ^
[scalac] four errors found

BUILD FAILED
/Users/mraible/dev/play-scalate/build.xml:34: Compile failed with 4
errors; see the compiler error output for details.

Total time: 9 seconds

What's the best way to get things working again? Fork the github
project and update for Play Scala 0.9.1? Do you know if the maintainer
of play-scalate is still active?

Thanks,

Matt


On Aug 25, 2:30 am, Guillaume Bort <guillaume.b...@gmail.com> wrote:
> Hi Matt,
>
> Looking at the Scalate module code, I don't think it can work as is
> with Play Scala 0.9.1. The latest version is more than 1 year old, and
> we have made a lot of changes in the API.
>
> Which Scalate flavor do you try to use?
>
>
>
>
>
>
>
>
>
> On Thu, Aug 25, 2011 at 5:23 AM, Matt Raible <mrai...@gmail.com> wrote:
> > Hey all,
>
> > I'm trying to use Scalate with the latest version of Play and having
> > issues. I've posted some questions to the Scalate user group, but
> > haven't received any responses.
>
> >http://groups.google.com/group/scalate/browse_thread/thread/398cee019...

Florian

unread,
Aug 25, 2011, 11:35:05 AM8/25/11
to play-fr...@googlegroups.com
Hi Guillaume!

What do you think about moving from Play-Scala templates to Scalate?

I'd like to use Scaml, too. And perhaps you could integrate your new template system into Scalate to keep everything compatible.

Best regards
Florian

Guillaume Bort

unread,
Aug 25, 2011, 12:16:34 PM8/25/11
to play-fr...@googlegroups.com
> Do you know if the maintainer
> of play-scalate is still active?

I don't think so, but you can try to contact him. The integration of
Scalate is pretty difficult if you plan to get the same kind of
experience than the native Play scala template regarding auto-reload
and error reports.

You can try to port the module to 0.9.1, basically all it has to do is
to provide a plugin that detect changes to scaml file, and recompile
them. No special integration with the Play API is needed.

Reply all
Reply to author
Forward
0 new messages